Get Latest Release
Retrieves a release marked as latest (by default, last published release)
Request
GET
https://api.sourcecraft.tech/repos/{org_slug}/{repo_slug}/releases/latest
Path parameters
|
Name |
Description |
|
org_slug |
Type: string Example: `` |
|
repo_slug |
Type: string Example: `` |
Responses
200 OK
A successful response.
Body
application/json
{
"id": "example",
"repo_id": "example",
"author": {
"id": "example",
"slug": "example"
},
"tag": "example",
"hash": "example",
"title": "example",
"release_notes": "example",
"status": "draft",
"assets": [
{
"id": "example",
"name": "example",
"link": "example",
"attachment": {
"id": "example",
"name": "example",
"mime_type": "example",
"file_type": "image",
"size": "example"
}
}
],
"is_latest": true,
"is_pre_release": true,
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-01T00:00:00Z",
"released_at": "2025-01-01T00:00:00Z"
}
|
Name |
Description |
|
assets |
Type: ReleaseAsset[] Example
|
|
author |
Type: UserEmbedded Example
|
|
created_at |
Type: string<date-time> Example: |
|
hash |
Type: string Example: |
|
id |
Type: string Example: |
|
is_latest |
Type: boolean |
|
is_pre_release |
Type: boolean |
|
release_notes |
Type: string Example: |
|
released_at |
Type: string<date-time> Example: |
|
repo_id |
Type: string Example: |
|
status |
Type: Release.Status Enum: |
|
tag |
Type: string Example: |
|
title |
Type: string Example: |
|
updated_at |
Type: string<date-time> Example: |
UserEmbedded
|
Name |
Description |
|
id |
Type: string Example: |
|
slug |
Type: string Example: |
Example
{
"id": "example",
"slug": "example"
}
Release.Status
Type: string
Enum: draft, published, discarded
FileType
Type: string
Enum: image, document, video, container
Attachment
|
Name |
Description |
|
file_type |
Type: FileType Enum: |
|
id |
Type: string Example: |
|
mime_type |
Type: string Example: |
|
name |
Type: string Example: |
|
size |
Type: string<int64> Example: |
Example
{
"id": "example",
"name": "example",
"mime_type": "example",
"file_type": "image",
"size": "example"
}
ReleaseAsset
|
Name |
Description |
|
attachment |
Type: Attachment Example
|
|
id |
Type: string Example: |
|
link |
Type: string Example: |
|
name |
Type: string Example: |
Example
{
"id": "example",
"name": "example",
"link": "example",
"attachment": {
"id": "example",
"name": "example",
"mime_type": "example",
"file_type": "image",
"size": "example"
}
}
default
Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme
Body
application/json
{
"error_code": "example",
"message": "example",
"request_id": "example",
"details": {}
}
|
Name |
Description |
||
|
details |
Type: Optional details. Exact structure depends on error_code
Example
|
||
|
error_code |
Type: string Example: |
||
|
message |
Type: string Example: |
||
|
request_id |
Type: string Example: |